Skip to main content
`Ctrl`+`K`

# DSSortWithPermutation

Reorders the result of `DSSolve()` according to a given permutation.

## Synopsis

    #include "slepcds.h"
    PetscErrorCode DSSortWithPermutation(DS ds,PetscInt perm[],PetscScalar eigr[],PetscScalar eigi[])

Logically Collective

## Input Parameters

- ds - the direct solver context

- perm - permutation that indicates the new ordering

## Input/Output Parameters

- eigr - array with the reordered eigenvalues (real part)

- eigi - array with the reordered eigenvalues (imaginary part)

## Notes

This routine reorders the arrays provided in `eigr` and `eigi`, and also the dense system stored inside `ds` (assumed to be in condensed form). There is no sorting criterion, as opposed to `DSSort()`. Instead, the new ordering is given in argument `perm`.

## See Also

DS: Direct Solver (or Dense System), `DSSolve()`, `DSSort()`

## Level

advanced

## Location

src/sys/classes/ds/interface/dsops.c

## Implementations

DSSortWithPermutation_NHEP() in src/sys/classes/ds/impls/nhep/dsnhep.c

Index of all DS routines Table of Contents for all manual pages Index of all manual pages